Package org.eclipse.ecf.core.sharedobject.events

# Class SharedObjectManagerConnectEvent

java.lang.Object
org.eclipse.ecf.core.sharedobject.events.SharedObjectManagerConnectEvent

All Implemented Interfaces:
  `IContainerEvent`, `ISharedObjectManagerConnectionEvent`, `ISharedObjectManagerEvent`, `Event`

public class SharedObjectManagerConnectEvent extends Object implements ISharedObjectManagerConnectionEvent
Shared object manager connection event. Instances implementing this interface are sent to IContainerListeners when the `ISharedObjectManager.connectSharedObjects(org.eclipse.ecf.core.identity.ID, org.eclipse.ecf.core.identity.ID[])` is called.

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectManagerConnectEvent()`
`SharedObjectManagerConnectEvent(ID localContainerID, ISharedObjectConnector connector)`

## Method Summary

Modifier and Type
Method
Description
`ISharedObjectConnector`
`getConnector()`
Get the `ISharedObjectConnector` associated with this event
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`ID`
`getSharedObjectID()`
Get shared object ID for shared object in question
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SharedObjectManagerConnectEvent

public SharedObjectManagerConnectEvent()

Since:
  2.6

### SharedObjectManagerConnectEvent

public SharedObjectManagerConnectEvent(ID localContainerID, ISharedObjectConnector connector)

## Method Details

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### getConnector

public ISharedObjectConnector getConnector()
Description copied from interface: `ISharedObjectManagerConnectionEvent`
Get the `ISharedObjectConnector` associated with this event

Specified by:
  `getConnector` in interface `ISharedObjectManagerConnectionEvent`
Returns:
  ISharedObjectConnector associated with this new connection

### getSharedObjectID

public ID getSharedObjectID()
Description copied from interface: `ISharedObjectManagerEvent`
Get shared object ID for shared object in question

Specified by:
  `getSharedObjectID` in interface `ISharedObjectManagerEvent`
Returns:
  ID of shared object in question. Will not return null.

### toString

public String toString()

Overrides:
  `toString` in class `Object`